*** /usr/src/voice-stable/asterisk/apps/app_enumlookup.c        Mon Oct  6 
02:36:17 2003
--- apps/app_enumlookup.c       Fri Apr 16 02:02:04 2004
***************
*** 39,51 ****
  "  EnumLookup(exten):  Looks up an extension via ENUM and sets\n"
  "the variable 'ENUM'. For VoIP URIs this variable will \n"
  "look like 'TECHNOLOGY/URI' with the appropriate technology.\n"
  "Returns -1 on hangup, or 0 on completion regardless of whether the \n"
  "lookup was successful. \n"
! "Currently, the enumservices SIP, H323, IAX, IAX2 and TEL are recognized. \n"
  "A good SIP, H323, IAX or IAX2 entry will result in normal priority handling, \n"
  "whereas a good TEL entry will increase the priority by 51 (if existing).\n"
  "If the lookup was *not* successful and there exists a priority n + 101,\n"
  "then that priority will be taken next.\n" ;

  #define ENUM_CONFIG "enum.conf"

--- 39,52 ----
  "  EnumLookup(exten):  Looks up an extension via ENUM and sets\n"
  "the variable 'ENUM'. For VoIP URIs this variable will \n"
  "look like 'TECHNOLOGY/URI' with the appropriate technology.\n"
  "Returns -1 on hangup, or 0 on completion regardless of whether the \n"
  "lookup was successful. \n"
! "Currently, the enumservices SIP, H323, IAX, IAX2, TEL and IFAX are recognized. \n"
  "A good SIP, H323, IAX or IAX2 entry will result in normal priority handling, \n"
  "whereas a good TEL entry will increase the priority by 51 (if existing).\n"
+ "a good IFAX entry will increase the priority by 81 (if existing).\n"
  "If the lookup was *not* successful and there exists a priority n + 101,\n"
  "then that priority will be taken next.\n" ;

  #define ENUM_CONFIG "enum.conf"

***************
*** 102,111 ****
--- 103,122 ----
                       c = dest;
                       if (!strncmp(c, "iax2:", 5))
                               c += 5;
                       snprintf(tmp, sizeof(tmp), "IAX2/%s", c);
                       pbx_builtin_setvar_helper(chan, "ENUM", tmp);
+                 } else if (!strcasecmp(tech, "ifax")) {
+                         c = dest;
+                         if (!strncmp(c, "ifax:", 5))
+                                 c += 5;
+                       pbx_builtin_setvar_helper(chan, "ENUM", c);
+                       ast_log(LOG_NOTICE, "ifax: ENUM set to \"%s\"\n", c);
+                       if (ast_exists_extension(chan, chan->context, chan->exten, chan->priority + 81, chan->callerid))
+                               chan->priority += 80;
+                       else
+                               res = 0;
               } else if (!strcasecmp(tech, "tel")) {
                       c = dest;
                       if (!strncmp(c, "tel:", 4))
                               c += 4;

